export interface Address {
    street: string;
    building: string;
    city: string;
    postalCode: string;
    country: string;
}

export interface Company {
    name: string;
    url?: string;
    nip: string;
    offices: BranchOffice[];
}

export interface BranchOffice {
    address: Address;
}

export const emptyCompany: Company = {
    offices: [],
    url: "",
    name: "",
    nip: "",
}

export const formatAddress = ({ postalCode, building, street, city, country }: Address): string => `${street} ${building}, ${postalCode} ${city}, ${country}`
